StructuredDateEditor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding
[Java] Class StructuredDateEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.beans.propertyeditors.CustomDateEditor
              org.codehaus.groovy.grails.web.binding.StructuredDateEditor

All Implemented Interfaces:
  StructuredPropertyEditor

    public class StructuredDateEditor
    extends org.springframework.beans.propertyeditors.CustomDateEditor

Structured editor for editing dates that takes 5 fields that represent the year, month, day, hour and minute and constructs a Date instance

Authors:
  Graeme Rocher

Since:
  1.0.4

Constructor Summary
`StructuredDateEditor(java.text.DateFormat dateFormat, boolean b)`
`StructuredDateEditor(java.text.DateFormat dateFormat, boolean b, int i)`

Method Summary
`java.lang.Object` | `assemble(java.lang.Class type, java.util.Map fieldValues)`
`java.util.List` | `getOptionalFields()`
`java.util.List` | `getRequiredFields()`

Methods inherited from class org.springframework.beans.propertyeditors.CustomDateEditor
org.springframework.beans.propertyeditors.CustomDateEditor#getAsText(), org.springframework.beans.propertyeditors.CustomDateEditor#setAsText(java.lang.String), org.springframework.beans.propertyeditors.CustomDateEditor#setValue(java.lang.Object), org.springframework.beans.propertyeditors.CustomDateEditor#getSource(), org.springframework.beans.propertyeditors.CustomDateEditor#getValue(), org.springframework.beans.propertyeditors.CustomDateEditor#addPropertyChangeListener(java.beans.PropertyChangeListener), org.springframework.beans.propertyeditors.CustomDateEditor#removePropertyChangeListener(java.beans.PropertyChangeListener), org.springframework.beans.propertyeditors.CustomDateEditor#firePropertyChange(), org.springframework.beans.propertyeditors.CustomDateEditor#setSource(java.lang.Object), org.springframework.beans.propertyeditors.CustomDateEditor#getTags(), org.springframework.beans.propertyeditors.CustomDateEditor#isPaintable(), org.springframework.beans.propertyeditors.CustomDateEditor#paintValue(java.awt.Graphics, java.awt.Rectangle), org.springframework.beans.propertyeditors.CustomDateEditor#getJavaInitializationString(), org.springframework.beans.propertyeditors.CustomDateEditor#getCustomEditor(), org.springframework.beans.propertyeditors.CustomDateEditor#supportsCustomEditor(), org.springframework.beans.propertyeditors.CustomDateEditor#wait(long, int), org.springframework.beans.propertyeditors.CustomDateEditor#wait(long), org.springframework.beans.propertyeditors.CustomDateEditor#wait(), org.springframework.beans.propertyeditors.CustomDateEditor#equals(java.lang.Object), org.springframework.beans.propertyeditors.CustomDateEditor#toString(), org.springframework.beans.propertyeditors.CustomDateEditor#hashCode(), org.springframework.beans.propertyeditors.CustomDateEditor#getClass(), org.springframework.beans.propertyeditors.CustomDateEditor#notify(), org.springframework.beans.propertyeditors.CustomDateEditor#notifyAll()

Methods inherited from class java.beans.PropertyEditorSupport
java.beans.PropertyEditorSupport#setValue(java.lang.Object), java.beans.PropertyEditorSupport#getSource(), java.beans.PropertyEditorSupport#getValue(), java.beans.PropertyEditorSupport#addPropertyChangeListener(java.beans.PropertyChangeListener), java.beans.PropertyEditorSupport#removePropertyChangeListener(java.beans.PropertyChangeListener), java.beans.PropertyEditorSupport#firePropertyChange(), java.beans.PropertyEditorSupport#setSource(java.lang.Object), java.beans.PropertyEditorSupport#getTags(), java.beans.PropertyEditorSupport#getAsText(), java.beans.PropertyEditorSupport#isPaintable(), java.beans.PropertyEditorSupport#paintValue(java.awt.Graphics, java.awt.Rectangle), java.beans.PropertyEditorSupport#getJavaInitializationString(), java.beans.PropertyEditorSupport#setAsText(java.lang.String), java.beans.PropertyEditorSupport#getCustomEditor(), java.beans.PropertyEditorSupport#supportsCustomEditor(), java.beans.PropertyEditorSupport#wait(long, int), java.beans.PropertyEditorSupport#wait(long), java.beans.PropertyEditorSupport#wait(), java.beans.PropertyEditorSupport#equals(java.lang.Object), java.beans.PropertyEditorSupport#toString(), java.beans.PropertyEditorSupport#hashCode(), java.beans.PropertyEditorSupport#getClass(), java.beans.PropertyEditorSupport#notify(), java.beans.PropertyEditorSupport#notifyAll()

Constructor Detail

### StructuredDateEditor

    public StructuredDateEditor(java.text.DateFormat dateFormat, boolean b)

### StructuredDateEditor

    public StructuredDateEditor(java.text.DateFormat dateFormat, boolean b, int i)

Method Detail

### assemble

    @java.lang.SuppressWarnings("rawtypes")
    public java.lang.Object assemble(java.lang.Class type, java.util.Map fieldValues)

### getOptionalFields

    public java.util.List getOptionalFields()

### getRequiredFields

    public java.util.List getRequiredFields()

Groovy Documentation